<?php

/**
 * @file
 * Contains support form for miniOrange 2FA Login Module.
 */
namespace Drupal\miniorange_2fa\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\miniorange_2fa\MoAuthConstants;
use Drupal\miniorange_2fa\MoAuthUtilities;

/* Showing Licensing form info. */

class MoAuthLicensing extends FormBase
{
    public function getFormId() {
        return 'miniorange_2fa_licensing';
    }
    public function buildForm(array $form, FormStateInterface $form_state) {
        global $base_url;

        $user_email = \Drupal::config('miniorange_2fa.settings')->get('mo_auth_customer_admin_email');

        $mo_Premium_Plan_URL = MoAuthConstants::getBaseUrl() . '/login?username='.$user_email.'&redirectUrl='. MoAuthConstants::getBaseUrl() . '/initializepayment&requestOrigin='. MoAuthConstants::$PREMIUM_PLAN;

        $mo_db_values = MoAuthUtilities::miniOrange_set_get_configurations( ['mo_auth_2fa_license_type',], 'GET' );
        $license_type = $mo_db_values['mo_auth_2fa_license_type'];
        $smsText = $license_type == "DEMO" ? 'style="visibility : hidden;"' : '';

        $form['markup_library'] = array(
            '#attached' => array(
                'library' => array(
                    "miniorange_2fa/miniorange_2fa.admin",
                    "miniorange_2fa/miniorange_2fa.main"

                )
            ),
        );

        $form['header_top_style_2'] = array(
            '#markup' => t('<div class="mo_2fa_table_layout_1"><div class="mo_2fa_table_layout"><div class="mo_otp_verification_table_layout_1"><div class="mo_otp_verification_table_layout">
                            <br><h2>&emsp; Upgrade Plans</h2><hr>')
        );

        $form['markup_free'] = array(
            '#markup' => t('<html lang="en">
            <head>
                <meta charset="utf-8">
                <meta name="viewport" content="width=device-width, initial-scale=1">
                <!-- Main Style -->
            </head>
            <body>
<!--Heading-->
    <br><h2 id="pricing-header">Drupal Two Factor Authentication</h2>
<!--Heading End -->
<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="margin: 2%;">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
      <li class="nav-item active ps-5 pe-5">
        <a class="mo-nav-link" href="#plans"><b>Plans</b><span class="sr-only"></span></a>
      </li>
      <li class="nav-item ps-5 pe-5">
        <a class="mo-nav-link" href="#feature_comparison"><b>Feature Comparison</b></a>
      </li>
      <li class="nav-item ps-5 pe-5">
        <a class="mo-nav-link" href="#steps_upgrade_premium"><b>Upgrade Steps</b></a>
      </li>
      <li class="nav-item ps-5 pe-5">
        <a class="mo-nav-link" href="#faq"><b>FAQs</b></a>
      </li>
      <li class="nav-item ps-5 pe-5">
        <a class="mo-nav-link" href="#payment_method"><b>Payment Methods</b></a>
      </li>
            <li class="nav-item ps-5 pe-5">
        <a class="mo-nav-link" href="#refund_policy"><b>Refund Policy</b></a>
      </li>
    </ul>
  </div>
</nav>
<!--End Navbar-->

<!-- Contact Us -->
<div id="contact">
<br>
<h2>Choose Your Licensing Plan</h2>
<h4>Are you not able to choose your plan? 
<a href="mailto:drupalsupport@xecurify.com">Contact Us</a></h4>
    <h2>If you want to test any of our paid modules, please contact us at <a href="mailto:drupalsupport@xecurify.com">drupalsupport@xecurify.com</a></h2>
</div>
<!-- End of Contact US-->

<!-- Plans Cards -->
<div class="container mo-container plan_cards_main " id="plans">
    <div class="row">
        <div class="col-md-3 plan_cards_inner_divs " id="pricing_div_one">
        <div class="card">
            <h5 class="card-header pricing-card-head mt-0 mb-0">Free Plan</h5>
            <div class="mo-card-body">
            <p class="card-text card_module_description">For 1 User-Forever</p>
            <p class="card-text sup_price" id="standard_price"><sup></sup><p>
            <span>
            <pre>




            </pre>
            </span>
            </div>
            <a href="https://www.drupal.org/project/miniorange_2fa" target="_blank"><p class="mo_card-footer mb-0 mt-0 pt-3 pb-3">DOWNLOAD NOW</p></a>
        </div>
        </div>
        <div class="col-md-3 plan_cards_inner_divs" id="pricing_div_one">
        <div class="card">
            <h5 class="card-header pricing-card-head mt-0 mb-0">Premium Plan</h5>
            <div class="mo-card-body">
            <p class="card-text card_module_description">For 1+ Users</p>
            <p class="card-text sup_price" id="premium_price"><sup>$</sup>20/year</p>
                <span class="instance_dropdown"> 
                <label for="instances_premium">Users:</label>&nbsp;&nbsp;
                <select id="instances_premium" name="instances" onchange="Instance_Pricing(this.value)">
                    <option value="5">Upto 5</option>
                    <option value="10">Upto 10</option>
                    <option value="20">Upto 20</option>
                    <option value="30">Upto 30</option>
                    <option value="40">Upto 40</option>
                    <option value="50">Upto 50</option>
                    <option value="60">Upto 60</option>
                    <option value="70">Upto 70</option>
                    <option value="80">Upto 80</option>
                    <option value="90">Upto 90</option>
                    <option value="100">Upto 100</option>
                    <option value="150">Upto 150</option>
                    <option value="200">Upto 200</option>
                    <option value="250">Upto 250</option>
                    <option value="300">Upto 300</option>
                    <option value="350">Upto 350</option>
                    <option value="400">Upto 400</option>
                    <option value="450">Upto 450</option>
                    <option value="500">Upto 500</option>
                    <option value="600">Upto 600</option>
                    <option value="700">Upto 700</option>
                    <option value="800">Upto 800</option>
                    <option value="900">Upto 900</option>
                    <option value="1000">Upto 1000</option>
                    <option value="2000">Upto 2000</option>
                    <option value="3000">Upto 3000</option>
                    <option value="4000">Upto 4000</option>
                    <option value="5000">Upto 5000</option>
                    <option value="6000">More than 5000</option>
                </select>
                </span> 
            </div>
            <a href="https://login.xecurify.com/moas/login?redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=drupal8_2fa_premium_plan" target="_blank"><p class="mo_card-footer mb-0 mt-0 pt-3 pb-3">UPGRADE NOW</p></a>
        </div>
        </div>
</div>
</div>

<!-- Plan Cards End-->

<!--Features Comparison-->
 <div class="container" id="feature_comparison">
<h3 class="feature_comparison">FEATURE COMPARISON</h3><hr style="background-color:#E97D68;">
<table>
  <tr id="feature_head">
    <th>Features List</th>
    <th>Free</th>
    <th>Premium</th>
  </tr>
  <tr>
    <td>All Authentication Methods*</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Supports all the languages</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Backup security questions(KBA)</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
    <tr>
    <td>Add your Own security questions</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
    <tr>
    <td>Customize number of KBA to be asked while login</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Login with Email address</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Login with Phone number</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
     <tr>
    <td>Override login form username title and description</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Change app name in Google Authenticator app</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Custom Email Templates</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Custom SMS Templates</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
   </tr>
  <tr>
    <td>Custom OTP length and validity</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Backdoor URL (incase you get locked out)</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Remember Device(available soon)</td>
    <td>&#x2714;</td>
    <td>&#x2714;</td>
   </tr>
  <tr>
    <td>Support for Headless Architecture</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Passwordless login</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Enable Role based 2FA</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Enforce 2FA registration for users</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Select 2FA methods to be configured by end users</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
    <tr>
    <td>2FA over Password Reset</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
    <tr>
    <td>IP specific 2FA (Whitelisting IP Address)</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
    <tr>
    <td>End to End 2FA Integration**</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
  <tr>
    <td>Basic Email Support Available</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
   <tr>
    <td>Premium GoToMeeting Support Available</td>
    <td></td>
    <td>&#x2714;</td>
  </tr>
</table>
</div>
<!-- Feature Comparison End -->

<!--How to upgrade to premium-->
<div class="container steps_upgrade_premium" id="steps_upgrade_premium">
<h3 style="text-align: center; margin-top:3%;">HOW TO UPGRADE TO PREMIUM</h3><hr>
<div class="row">
  <div class="col-md-6">
  <div class="upgrade_step"><div class="upgrade_steps_wise">1</div> Click on Upgrade Now button for required premium plan and you will be redirected to miniOrange login console.</div>
  <div class="upgrade_step"><div class="upgrade_steps_wise">2</div> Enter your username and password with which you have created an account with us. After that you will be redirected to payment page.</div>
  <div class="upgrade_step"><div class="upgrade_steps_wise">3</div>Enter your card details and proceed to make the payment. Upon successful payment, your licence will be updated to the premium version. </div>
 
  </div>
  <div class="col-md-6">
   <div class="upgrade_step"><div class="upgrade_steps_wise">4</div> On successful payment completion, goto <a href=" ' . MoAuthUtilities::get_mo_tab_url( 'CUSTOMER_SETUP' ) . ' ">Register/Login</a> tab .</div>
  <div class="upgrade_step"><div class="upgrade_steps_wise">5</div>Click on <strong>Check License</strong> button.</div>
  <div class="upgrade_step"><div class="upgrade_steps_wise">6</div>Clicking the Check Licence button will fetch the latest licence details and all the premium features of the module will be unlocked.</div>
  </div>
</div>
</div><br><br>
<!-- End of Upgrade -->

<!--FAQ-->
<div class="container" id="faq">
<h3 style="text-align: center; margin:3%;">FAQs</h3><br><hr>
   <div class="row"> 
        <div class="col-md-6">
           <div id="accordion">
            <div class="card">
                <div class="card-header">
                <a class="btn" data-bs-toggle="collapse" href="#collapseOne">
                  Are the licenses perpetual?
                </a>
                </div>
            </div>    
            <div id="collapseOne" class="collapse" data-bs-parent="#accordion">
                <div class="card-body">
                 The 2FA module is subscription based module. Your module will continue function unless - a) Your transaction limit is exhausted; in that case you would need to purchase more SMS/ Email/ IVR transactions as required. b) Your module licence expires; when you purchase the module your licence is active for 1 year after the date of activation. After that, you would have to renew your licence and maintainance plan annually. We also have discounts should you opt to renew for more than 1 year at a time. 
                </div>
            </div>
           </div>
        </div>
        <div class="col-md-6">
           <div id="accordion">
            <div class="card">
                <div class="card-header">
                <a class="collapsed btn" data-bs-toggle="collapse" href="#collapseTwo">
                 What is the refund policy?
                </a>
                </div>
            </div>    
            <div id="collapseTwo" class="collapse" data-bs-parent="#accordion">
                <div class="card-body">
                 At miniOrange, we want to ensure you are 100% happy with your purchase. If the premium plugin you purchased is not working as advertised and you\'ve attempted to resolve any issues with our support team, which couldn\'t get resolved. We will refund the whole amount within 10 days of the purchase. Please email us at drupalsupport@xecurify.com for any queries regarding the return policy or contact us here.
                 The plugin licenses are perpetual and the Support Plan includes 12 months of maintenance (support and version updates). You can renew maintenance after 12 months at 50% of the current license cost.
                </div>
            </div>
            </div>
        </div>
   </div>
   <div class="row">
        <div class="col-md-6">
         <div id="accordion">
            <div class="card">
                <div class="card-header">
                    <a class="collapsed btn" data-bs-toggle="collapse" href="#collapseThree">
                        Does miniOrange offer technical support?
                    </a>
                </div>
                <div id="collapseThree" class="collapse" data-bs-parent="#accordion">
                    <div class="card-body">
                    Yes, we provide 24*7 support for all and any issues you might face while using the plugin, which includes technical support from our developers. You can get prioritized support based on the Support Plan you have opted. You can check out the different Support Plans from here.
                    </div>
                </div>
            </div>
         </div>
        </div>
        <div class="col-md-6">
          <div id="accordion">
            <div class="card">
                <div class="card-header">
                 <a class="collapsed btn" data-bs-toggle="collapse" href="#collapseFour">
                  Does miniOrange store any user data?
                 </a>
                </div>
            </div>    
            <div id="collapseFour" class="collapse" data-bs-parent="#accordion">
                <div class="card-body">
                MiniOrange does not store any user data from the 2FA module. We may store the registered mobile number (if the OTP via phone call or OTP via SMS is enabled) or we may store the registered email address (if OTP via Email is enabled) or both (if multiple applicable OTP Methods are enabled). This data will solely be used for authentication purposes. miniOrange will never sell your data to marketers. The stored user Email Address will strictly be used for business communication purposes.Any and all data can be destroyed if you decide so.
                </div>
            </div>
          </div>
        </div>
   </div>

    <a href="https://faq.miniorange.com/kb/drupal/two-factor-authentication-drupal/" class="btn " role="button" target="_blank" id="mo_faq_button" >More FAQs</a>
</div>
<!-- FAQ End-->

<!--Supported Payment methods-->
<div class="container payment_method_main_divs" id="payment_method">    
    <h3 style="text-align: center; margin:3%;">PAYMENT METHODS</h3><hr><br><br>
    <div class="row">
    <div class="col-md-3 payment_method_inner_divs">
        <div><img src="'.$base_url . '/' . drupal_get_path("module", "miniorange_2fa") . '/includes/images/card_payment.png" width="120" ><h4></h4></div><hr>
        <p>If the payment is made through Credit Card/International Debit Card, the license will be created automatically once the payment is completed.</p>
    </div> 
    <div class="col-md-3 payment_method_inner_divs">
        <div><img src="'.$base_url . '/' . drupal_get_path("module", "miniorange_2fa") . '/includes/images/bank_transfer.png" width="150" ><h4><h4></div><hr>
        <p>If you want to use bank transfer for the payment then contact us at <a href="mailto:drupalsupport@xecurify.com">drupalsupport@xecurify.com</a> so that we can provide you the bank details.</p>
    </div>
    <div class="col-md-3 payment_method_inner_divs">
        <div><img src="'.$base_url . '/' . drupal_get_path("module", "miniorange_2fa") . '/includes/images/paypal.png" width="120"><h4></h4></ iv><hr>
        <p>Use the following PayPal ID <a href="mailto:drupalsupport@xecurify.com">drupalsupport@xecurify.com</a> for making the payment via PayPal.</p>
    </div>
    </div>
</div>   
</div>

<!-- End of supported payment methods-->  

<!-- 10 DAYS REFUND POLICY-->
<div class="container return_policy" id="refund_policy">
   <h3 style="text-align: center;">REFUND POLICY</h3><hr><br><br>
   <p>If the paid version module you purchased is not working as advertised and you’ve attempted to resolve any feature issues with our support team, which couldn\'t get resolved, we will refund the whole amount within 10 days of the purchase.</p>
   <p>Note that this policy does not cover the following cases:<br>

      1. Change of mind or change in requirements after purchase.<br>
      2. Infrastructure issues not allowing the functionality to work.<br><br>

      Please email us at <a href="mailto:drupalsupport@xecurify.com">drupalsupport@xecurify.com</a> for any queries regarding the return policy.
      <br><br> 
        At miniOrange, we want to ensure you are 100% happy with your purchase. If the premium module you purchased is not working as advertised and you have attempted to resolve any issues with our support team, which could not get resolved. we will refund the whole amount given that you have a raised a refund request within the first 10 days of the purchase. Please email us at <a href="mailto:drupalsupport@xecurify.com">drupalsupport@xecurify.com</a> for any queries regarding the return policy.
   </p>
</div>

<!-- End 10 Days Return Policy -->

    </br>
    </body>
    </html>'),
     );

    $form['hello1'] = [ '#type' => 'html_tag', '#tag' => 'script', '#attributes'=> ["src"=>"https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"]];

        $form['hello'] = [ '#type' => 'html_tag', '#tag' => 'script', '#value' => $this ->t('
            jQuery(document).ready(function($){
                  $($("p.mo2f-pricing-rate")[1]).append($(".js-form-item-mo-pricing-dropdown-premium1"));
                $($("p.mo2f-pricing-rate")[2]).append($(".js-form-item-mo-pricing-dropdown-premium2"));
            });

        '), ];

  

       $support_tab_url = MoAuthUtilities::get_mo_tab_url( 'SUPPORT' );
       $disclaimer = t('<div style="margin: 0% 4% 3% 1.5%; text-align: justify;">
            <h4>You can mail us at <a href="mailto:drupalsupport@xecurify.com">drupalsupport@xecurify.com</a> or submit query form <a href="'. $support_tab_url .'" >support form</a> form in any of the following scenarios:</h4>

            <h3 style="font-size:small">* Few authentication methods need credits like SMS transactions, email transactions etc.</h3>
            <h3 style="font-size:small">** End to End 2FA Integration (additional charges may applied)</h3>
                 We will setup a Conference Call / Gotomeeting and do end to end configuration for you to setup Drupal 2FA module.
                 We provide services to do the configuration on your behalf.
                 If you have any doubts regarding the upgrade plans, you can mail us at <a href="mailto:drupalsupport@xecurify.com">drupalsupport@xecurify.com</a> or submit a query using the <a href="'. $support_tab_url .'">support form</a>.
         </div>');

       $form['header']['#markup'] =  $disclaimer;

       return $form;
    }
    public function submitForm(array &$form, FormStateInterface $form_state) {

    }
}
